Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 27 Sep 2016, 04:53
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Firefox 46 ... GTK 3 not compatible, open/save box
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
fabrice_035

Joined: 28 Apr 2014
Posts: 330

PostPosted: Thu 28 Apr 2016, 14:11    Post subject:  Firefox 46 ... GTK 3 not compatible, open/save box  

Hello,

Now Firefox 46 after Gtk3.0 update work, but the input open/save box not work fine... look picture

the left zone not active, can't change order (size, name), and behavior is strange (choose froze)

And before firefox update, i can choose recently files, now no Crying or Very sad

edit: add bug, the folder's icons not visible (just root, strange).

Try yourself, very hard to use.

Confused

Hope solve this.
capture26498.jpg
 Description   
 Filesize   33.83 KB
 Viewed   723 Time(s)

capture26498.jpg

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1333
Location: London, England

PostPosted: Thu 28 Apr 2016, 18:10    Post subject:  

Maybe try using Firefox ESR 45.1.0 as it is the latest but still uses gtk-2
http://murga-linux.com/puppy/viewtopic.php?t=106670

_________________
Oscar in England

Back to top
View user's profile Send private message 
fabrice_035

Joined: 28 Apr 2014
Posts: 330

PostPosted: Fri 29 Apr 2016, 01:03    Post subject:  

Sure, until problem solved back to old version, but when old version will become unsecure... abort Firefox ???
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1098

PostPosted: Fri 29 Apr 2016, 01:27    Post subject:  

Consider palemoon browser as an alternative...
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1333
Location: London, England

PostPosted: Fri 29 Apr 2016, 06:04    Post subject:  

fabrice_035 wrote:
Sure, until problem solved back to old version, but when old version will become unsecure... abort Firefox ???

Just to be clear, Firefox ESR 45.1.0 and also Firefox ESR 38.8.0 are both current versions, released around the same time as standard Firefox 46.0 but the official builds of the ESR versions still use gtk-2

It may be that the problem you are seeing with 46.0 is a bug in the Firefox code and they have switched to gtk-3 too soon. If so I guess they will fix these problems in future versions.

If the problem is gtk-3 not working properly in Puppy then the Puppy community will have to look at that.

There are always options and alternatives including compiling Firefox with a toolkit other than gtk-3.

EDIT:-
By the way, are you talking about THIS box, because testing 46.0 in Wheezy it looks OK to me?

LATER EDIT:-
I just looked in TahrPup 6.0.5 with installed libgtk-3 and the box is faulty and looks as shown in Fabrice's post.
The theme seems to be set to "oxygen-gtk"
Changing it to "Default" in /root/.config/gtk-3.0/settings.ini helps a bit. It still looks a bit strange but I can make selections.
open-file-box.jpg
 Description   Open File dialog box FF 46.0 gtk-3 Wheezy
 Filesize   56.41 KB
 Viewed   643 Time(s)

open-file-box.jpg


_________________
Oscar in England

Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 9409
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 06 May 2016, 06:27    Post subject: what will happen now if Puppy only can use GTK2 ?  

gtk3 ! what will happen now if Puppy only can use GTK2 ?
It's more important than 64 or 32 bits, in my opinion. My Puppy 32 bits is speedy enough. But browser and Other apps will be renewed gtk3 by developers, i suppose.

_________________
Sprinters choose Puppy Linux as mascot, always happy, always speedy.
Back to top
View user's profile Send private message Yahoo Messenger 
Moose On The Loose


Joined: 24 Feb 2011
Posts: 658

PostPosted: Sat 07 May 2016, 11:12    Post subject: Re: what will happen now if Puppy only can use GTK2 ?  

Pelo wrote:
gtk3 ! what will happen now if Puppy only can use GTK2 ?
It's more important than 64 or 32 bits, in my opinion. My Puppy 32 bits is speedy enough. But browser and Other apps will be renewed gtk3 by developers, i suppose.


<RANTMODE>
What will happen is the usual unneeded chaos and upheaval. I have a perfectly good toaster in the kitchen. It makes toast. I don't "upgrade" it. It is a means to an end. Toast being that end. The rule of "if it isn't broken don't fix it" seems not to be heeded. Rather than going after the bugs (what is really broken) the folks at Firefox are changing stuff that is working.
</RANTMODE>

There are several competing browsers. I expect someone will make a version of at least one that is statically linked so it carries all the libraries with the version it was written for.
Back to top
View user's profile Send private message 
Keisha

Joined: 18 Nov 2014
Posts: 449

PostPosted: Sat 07 May 2016, 12:23    Post subject:  

There is a gtk3-engines-oxygen engine, an engine port of the Oxygen widget style to gtk3, you might need to find a copy of that for your particular distro (e.g. Tahr, Unicorn, Xenial) and install it.
_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1020s ][ Queries: 12 (0.0151s) ][ GZIP on ]